CREATE TABLE transactions (
  id               INT UNSIGNED AUTO_INCREMENT,
  invoice          VARCHAR(60),
  receiver_email   VARCHAR(60),
  item_name        VARCHAR(100),
  item_number      VARCHAR(10),
  quantity         VARCHAR(6),
  payment_status   VARCHAR(10),
  pending_reason   VARCHAR(10),
  payment_date     VARCHAR(30),
  mc_gross         VARCHAR(20),
  mc_fee           VARCHAR(20),
  shipping         VARCHAR(20),
  tax              VARCHAR(20),
  mc_currency      VARCHAR(3),
  txn_id           VARCHAR(20),
  txn_type         VARCHAR(10),
  first_name       VARCHAR(30),
  last_name        VARCHAR(40),
  address_street   VARCHAR(50),
  address_city     VARCHAR(30),
  address_state    VARCHAR(30),
  address_zip      VARCHAR(20),
  address_country  VARCHAR(30),
  address_status   VARCHAR(10),
  residence_country VARCHAR(6),
  payer_email      VARCHAR(60),
  payer_id         VARCHAR(10),
  payer_status     VARCHAR(10),
  payment_type     VARCHAR(10),
  payment_gross    VARCHAR(20),
  payment_fee      VARCHAR(20),
  business         VARCHAR(30),
  referrer_id      VARCHAR(10),
  receiver_id      VARCHAR(10),
  charset          VARCHAR(30),
  custom           VARCHAR(30),
  notify_version   VARCHAR(10),
  verify_sign      VARCHAR(255),
  otherFields      LONGBLOB,
  PRIMARY KEY (id),
  INDEX payer_email (payer_email)
  );
